Last Comment Bug 24418 - [meta] Allow user to turn on and off rendering of video/audio (disable sound)
: [meta] Allow user to turn on and off rendering of video/audio (disable sound)
Status: NEW
: access, meta, privacy, ux-control
Product: Core
Classification: Components
Component: Audio/Video: Playback (show other bugs)
: Trunk
: All All
: -- enhancement with 116 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: chris hofmann
Mentors:
: 59026 88193 100819 109643 153870 159877 162505 179424 186939 187941 214942 219387 221351 221672 227070 237570 238918 240855 246610 248235 257444 281218 303218 318988 357533 394543 406389 469993 471264 500065 536787 541877 543357 675573 (view as bug list)
Depends on: 333208 449336 459559 728046 1188978 1221002 334987 479622 486262 593897 661822 665598 759964
Blocks: uaag 147866 169045 89557
  Show dependency treegraph
 
Reported: 2000-01-19 14:15 PST by xiaotong
Modified: 2016-06-28 21:14 PDT (History)
106 users (show)
asa: blocking1.7.5-
asa: blocking‑aviary1.0PR-
asa: blocking‑aviary1.0-
asa: blocking1.8a2-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description xiaotong 2000-01-19 14:15:23 PST
This is opened to address problem according to W3C accessibility guildline.
Checkpoint 3.3 and 3.4 - Allow user to turn on and off rendering of video and
audio.
Comment 1 xiaotong 2000-01-19 14:18:59 PST
Those are priority 1 items.
Comment 2 Matthew Tuck [:CodeMachine] 2000-01-20 03:26:59 PST
How does "video" differ from image animations, and how do you distinguish them,
ie should there be two prefs?

Why would you want to block "sound", rather than just "background sound"?
Comment 3 shuang (gone) 2000-01-21 18:00:35 PST
lake, please check with browser group to see who/whether is doing this, then 
reassign it to proper engineer.
Comment 4 leger 2000-02-10 18:09:36 PST
Moving all UE/UI bugs to new component: User Interface: Design Feedback
UE/UI component will be deleted.
Comment 5 Matthew Paul Thomas 2000-04-13 04:16:14 PDT
Audio, video, and other plugins should be controlled with the same prefs used to 
control images. They are going to be turned on and off for exactly the same 
reasons -- bandwidth, distraction, whatever -- so it makes sense to use the same 
controls.

4.X started doing this: for some values of X on some platforms, the Advanced 
prefs had not `Automatically load images', but `Automatically load images and 
other data types'. However, as far as I could tell no version ever got around to 
actually putting the `and other data types' part into effect.

To help with accuracy in the prefs, you could change `Images' to `Multimedia', or 
`Images & Media'.
Comment 6 Matthew Tuck [:CodeMachine] 2000-04-14 19:54:58 PDT
No way, not everything comes down to bandwidth, or if it does, people place
differentthings ast different importances.

Animations and moving video could theoretically cause problems for people who
are epileptic or experience motion sickness.  They could want images, just not
moving ones unless they say otherwise on a case-by-case basis.

Background sound annoys most people, but they still want their graphics,
possibly moving ones.

There are a whole raft of reasons to make them separate.
Comment 7 Eli Goldberg 2000-04-26 09:17:37 PDT
QA Assigning non-confidential New/Assigned User Interface: Design Feedback bugs 
to Matthew Thomas (mpt@mailandnews.com).

Matthew Thomas is now the QA owner for the User Interface: Design Feedback 
component. (Bugs that involve UI issues in the Netscape-branded Mozilla browser 
should continue be QA assigned to elig@netscape.com.)
Comment 8 Lakespur Roca 2000-05-16 16:49:36 PDT
If we need to have this as a separate feature, I need some more information on 
how mozilla handles video and audio separately form the background sound and 
simple animations. I thought that the real video and streaming audio were 
handled by plugins like Spinner and such. Wouldn't these handle the special 
volume and presentation rate individually while Mozilla handles general 
animation and background sound? 
Comment 9 Zach Lipton [:zach] 2001-02-27 19:12:15 PST
Chaning the qa contact on these bugs to me. MPT will be moving to the 
owner of this component shortly. I would like to thank him for all his hard 
work as he moves roles in mozilla.org...Yada, Yada, Yada...
Comment 10 Asa Dotzler [:asa] 2001-03-08 20:18:22 PST
updating to new owner. sorry for the spam.
Comment 11 Aaron Leventhal 2001-03-15 20:53:46 PST
I believe we need something like this:

SetBoolPref("capability.acceptmedia.mimetype", PR_TRUE /* or PR_FALSE */);

Where the mimetype is the media type in question.

With that pref capability, the front end UI people can decide to group more than
one thing under "video" or "audio".
Comment 12 timeless 2001-03-15 21:22:57 PST
i'm pretty sure that prefs.js uses js values, so true or false, not PR_..

however I suspect that mimetype containing / would be bad for a pref name
we could have it contain a list of mime types
SetPref("capability.acceptmedia","image/png image/jpg");
SetPref("capability.rejetmedia","image/gif");
[i'm not sure that SetPref is the right name for string prefs)
Comment 13 Aaron Leventhal 2001-03-15 21:54:44 PST
That would be fine (SetCharPref) with me also.
We would only need a capability.rejectmedia though, acceptmedia would be the
default.
This would also take care of the audio portion of bug 24418
Comment 14 Aaron Leventhal 2001-03-15 21:56:33 PST
Sorry, correction, I meant it would help with 19260
Comment 15 Matthew Tuck [:CodeMachine] 2001-03-16 02:12:36 PST
Aaron, the other day you indicated on IRC you was thinking on having back end
support for formats while maybe just having a boolean in the UI.  How would the
UI handle it if you had partial disabling on the back end?
Comment 16 Aaron Leventhal 2001-03-16 03:59:43 PST
Matthew, you make too much sense. We'll have to come up with a solution for
that, because we don't want to require users to know the different formats. Yet,
we want to allow those detailed settings to be made by advanced users.

Possible design (big disclaimer here, it's late and I'm sure there are better
ideas, but this might help get the ball rolling). German, Ben or mpt can come up
with something better, but this would support the structure we need.

Video and animations: 
[ ] Mpeg  [ ] Gif  [ ] Mng  [ ] Real  [ ] Quicktime  (Enable all)  (Disable all)
Audio:
[ ] Mpeg  [ ] Real  [ ] Quicktime                    (Enable all)  (Disable all)

Clicking on the enable all or disabled all button could set the other checkboxes.

For advanced users and other media types, we could offer something in the Prefs
- Navigator - Helper Applications, where they add a mime type, and can enable or
disable any media type they want there.
Comment 17 Matthew Tuck [:CodeMachine] 2001-03-16 04:55:16 PST
When I suggested separating formats it was purely because it made much more
sense to me than the arbitrary distinction of "video" and "animations".

However, I still don't see any benefit to exposing more than a simple on/off for
all moving pictures to the user.  Of course, if someone can provide a use case I
might change my mind.

I appreciate your concern for future extensibility and changing needs but I
would rather see the format separation not implemented at all on the back or
front end, and rather make the code and original prefs so they are easily
changeable to add this in later.

So for example you would have a simple on/off, but later you might add a pref
for a list of reject formats if that proved to be necessary.

If however we do go down this route, I would feel much more comfortable with UI
something like:

Video and animations:
[ ] All Types [ ] No Types  [ ] Certain Types   (Edit Types)

rather than putting a bunch of gobbledegook for newbies to parse.
Comment 18 Aaron Leventhal 2001-03-16 05:25:25 PST
Sounds okay by me. German, what do you think for a UI on this one?
Comment 19 Matthew Tuck [:CodeMachine] 2001-03-16 05:32:10 PST
Or even better:

-----------------------------------------------

View images and animations

[ ] Always
[ ] Never
[ ] Prompt

There are no exceptions currently defined.
( Edit Exceptions )

-----------------------------------------------

This should apply for all bug #7380 prefs.  Whether you allow distinguishing on
format rather than just site/domain/url is independent.

I can see a benefit of distinguishing formats if you know what the site is,
however I doubt the existing site-by-site prefs architecture would allow AND/OR
rules, and I haven't had a chance to look yet.

Another issue is what to do if you're at the actual video's URL as opposed to
the page itself.  There needs to be a way for people to easily be able to view a
specific video.

What do people think the best way of doing this is?  Maybe we could give a
prompt regardless if videos are off for the URL and we're at the actual URL.  Or
maybe we could have a fourth option "Only at specific URL" (replace with decent
name).
Comment 20 Aaron Leventhal 2001-03-16 12:34:43 PST
Actually we are working on per site prefs, for the general case.
As far as prompting, we were actually thinking of replacing that with iconified
warnings for conditional content near the lock icon at the bottom of the window.
Users would also be given the option of auditory warning that such content was
waiting. Upon clicking on one of the conditional content icons or pressing
Accel+T, the user would have the chance to toggle that content for the
particular URL. We're going to try to satisfy W3C's WAI guidelines (UAAG - User
Agent Accessibility Guidelines). www.w3.org/wai/ua

Anyway, this is all very new and rough. German and Ben were going to design UI
for this, I'll be quiet now. I think we should all design this off-line, because
this bug report will get oftly long and unreadable if we use it to solve all of
our problems in this area.
Comment 21 timeless 2001-06-28 13:24:36 PDT
*** Bug 88193 has been marked as a duplicate of this bug. ***
Comment 22 Markus Gerstel 2001-09-20 14:31:55 PDT
*** Bug 100819 has been marked as a duplicate of this bug. ***
Comment 23 Jesse Ruderman 2001-09-20 16:26:31 PDT
These four bugs are related:

bug 11875 stopping animations with Esc should also stop applet animations
bug 19118 Plug-In Manager (ui for choosing mimetype-plugin associations)
bug 24418 Allow user to turn on and off rendering of video/audio 
bug 94035 Allow blocking of any media type by site
Comment 24 Niels Aufbau 2001-10-23 01:10:28 PDT
*** Bug 59026 has been marked as a duplicate of this bug. ***
Comment 25 Niels Aufbau 2001-10-23 01:47:40 PDT
I like to play music while I look at porn so I can be sure that people walking
past my room don't hear me.  But several porn sites have a loud background sound
of a woman screaming, so I'm forced to turn off my speakers while I surf porn. 
I need to be able to disable those sounds, but I'd like to be able to
temporarily enable sound to watch a porn video once I have my headphones plugged in.
Comment 26 R.K.Aa. 2001-11-11 12:26:59 PST
*** Bug 109643 has been marked as a duplicate of this bug. ***
Comment 27 marlon bishop 2001-11-19 18:51:42 PST
a simple "enable/disable other media" in the view menu should suffice.  since
this would be a low frequency feature, i doubt we need to supply too many
controls in prefs.  
Comment 28 Garth Wallace 2001-11-24 02:19:16 PST
Aaron wrote: "We'll have to come up with a solution for
that, because we don't want to require users to know the different formats. Yet,
we want to allow those detailed settings to be made by advanced users."

If the backend prefs supported wildcards in the MIME types, it could be fairly
simple. The "Block video" pref would block loading of video/* content, "block
sound" would block audio/* content, etc.
Comment 29 Jesse Ruderman 2002-06-25 00:55:23 PDT
*** Bug 153870 has been marked as a duplicate of this bug. ***
Comment 30 Wesha 2002-07-28 21:40:04 PDT
*** Bug 159877 has been marked as a duplicate of this bug. ***
Comment 31 Matthew Paul Thomas 2002-07-29 07:40:20 PDT
| +-----------------+-+ Multimedia ::::::::::::::::::::::::::::::::: |
| | Languages       | |                                              |
| | Connection      | | [/] Ima_ges          [/] _Normal frames      |
| | Start Pages     | | [/] _Backgrounds     [/] _In-line frames     |
| | Fonts           | | [/] _Animations      [/] Always allow frame  |
| | Colors & Effects| |     [/] _Looping         _resizing           |
| | Helper Programs | | [/] _Sounds          [/] Always allow frame  | <- Bing!
| |:Multimedia::::::| | [/] _Videos              scrollin_g          | <- Bing!
| | Scripts&Windows | | ( _Filters... ) There are no filters active. |
| | Privacy         | |                                              |
| | History & Cache | | [ ] Show _caret for keyboard selection       |
| | Web Forms       | | Use Tab/Shift+Tab to navigate between:       |
| | System          | | [/] for_m controls  [/] lin_ks  [ ] o_bjects |
| |                 | |                                              |
| +-----------------+-+ :::::::::::::::::::::::::::::::::::::::::::: |

Back end is easy: just either do nothing, or not, if the MIME type is audio/* or
video/* respectively. There is no need to generalize this for all MIME types. I
repeat, there is no need to generalize this for all MIME types. Don't make this
uselessly complicated.

--> Preferences
Comment 32 Mats Palmgren (vacation) 2002-08-13 08:52:52 PDT
*** Bug 162505 has been marked as a duplicate of this bug. ***
Comment 33 Alfonso Martinez 2002-12-28 02:28:38 PST
*** Bug 186939 has been marked as a duplicate of this bug. ***
Comment 34 Alfonso Martinez 2003-01-06 12:12:40 PST
*** Bug 187941 has been marked as a duplicate of this bug. ***
Comment 35 Bill Mason 2003-08-03 10:23:33 PDT
*** Bug 214942 has been marked as a duplicate of this bug. ***
Comment 36 Bill Mason 2003-09-16 10:33:28 PDT
*** Bug 219387 has been marked as a duplicate of this bug. ***
Comment 37 Torben 2003-10-06 05:44:10 PDT
*** Bug 221351 has been marked as a duplicate of this bug. ***
Comment 38 Gilles Durys 2003-10-09 03:49:02 PDT
*** Bug 221672 has been marked as a duplicate of this bug. ***
Comment 39 pitrou 2003-11-21 03:18:48 PST
Is there a plan to fix this sometimes ? Web pages that automatically play a
sound when loaded really get on my nerves (especially when I'm already listening
to an mp3...). Is it that difficult to add a configuration option (like there
already is to disable automatic pop-ups) ?

Example page: http://www.metrobus.fr/metrobus_news_3.htm
(enjoy!)


(forwarded from http://bugzilla.gnome.org/show_bug.cgi?id=127599)
Comment 40 Jo Hermans 2003-11-29 10:39:01 PST
*** Bug 179424 has been marked as a duplicate of this bug. ***
Comment 41 Jo Hermans 2003-11-29 10:39:19 PST
*** Bug 227070 has been marked as a duplicate of this bug. ***
Comment 42 Jim Jacobs 2003-12-19 09:39:50 PST
An audio blocking feature similar to popup blocking would be handy; I often open
and then have to go back to my main task.  When something starts playing in the
background, its disconcerting and also I have no idea which of the many tabs I
have up is causing the sound.  The poor blighters who work in cubes could get
embarrased when odd (and maybe obscene) noises are blasted out.

When audio is blocked an icon could show up in the status bar like the one for
popups.  

Flash blocking would be handy too.
Comment 43 Jesse Ruderman 2004-03-17 20:04:19 PST
*** Bug 237570 has been marked as a duplicate of this bug. ***
Comment 44 Bill Mason 2004-03-27 10:51:02 PST
*** Bug 238918 has been marked as a duplicate of this bug. ***
Comment 45 Bill Mason 2004-04-18 09:39:11 PDT
*** Bug 240855 has been marked as a duplicate of this bug. ***
Comment 46 gumpish 2004-04-23 10:56:16 PDT
4 years, no fix.

Just mark it as WONTFIX so we can get on with our lives.

I'd do it myself on Win32 if the build process didn't require MS Visual C++.
Comment 47 R.K.Aa. 2004-06-13 19:47:07 PDT
*** Bug 246610 has been marked as a duplicate of this bug. ***
Comment 48 Alan Batie 2004-06-13 20:06:12 PDT
It looks like the solution to this was developed two years ago.  If there are
some good docs on the structure of the mozilla source code, point me at them and
I'll dig into it...
Comment 49 Bill Mason 2004-08-30 11:14:29 PDT
*** Bug 257444 has been marked as a duplicate of this bug. ***
Comment 50 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-02-05 16:16:28 PST
*** Bug 281218 has been marked as a duplicate of this bug. ***
Comment 51 Adam Guthrie 2005-08-03 12:04:22 PDT
*** Bug 303218 has been marked as a duplicate of this bug. ***
Comment 52 tyl2 2005-12-03 17:30:57 PST
I've filed Bug #318988 to request the same feature for Firefox.
Comment 53 Dave Townsend [:mossop] 2006-01-01 17:51:31 PST
*** Bug 318988 has been marked as a duplicate of this bug. ***
Comment 54 tyl2 2006-01-31 08:54:27 PST
Can someone please change the Product field of this bug to Firefox and component to Core as alluded to in Bug 318988?
Comment 55 Dan Mellem 2006-01-31 09:45:03 PST
I'm not sure this is the same as Bug 318988 since this is (or was) for the suite. Is this in the core?
Comment 56 Jesse Ruderman 2006-04-08 06:28:25 PDT
See also bug 333208, which asks for a global volume limit.
Comment 57 Samuel Sidler (old account; do not CC) 2006-05-19 17:17:16 PDT
This really is a Core bug and I'm moving it there per bug 318988 comments 3 and 8.
Comment 58 Dan Mellem 2006-07-16 14:26:17 PDT
How about just setting all content to have 'autostart="false"' and a way to start hidden embeds? That may be a sufficient workaround....
Comment 59 Dave Townsend [:mossop] 2006-10-21 14:58:34 PDT
*** Bug 357533 has been marked as a duplicate of this bug. ***
Comment 60 Rune S. Philosof 2007-03-07 04:10:02 PST
(In reply to comment #42)
> An audio blocking feature similar to popup blocking would be handy; I often
> open
(In reply to comment #42)
>How about just setting all content to have 'autostart="false"'
> and a way to start hidden embeds?

Actually this has been "fixed" in an extension named "Stop Autoplay" (https://addons.mozilla.org/firefox/1765/).

> Flash blocking would be handy too.

This also exists as an extension named "Flashblock" (https://addons.mozilla.org/firefox/433/).

So this bug is actually fixed, but you have to find and install an extension (or two).
Besides these extensions doesn't allways work perfectly (at least flashblock sometimes need a refresh to work on my computer).

It would be very nice to have some of this functionality directly in firefox.
Comment 61 Stuart Morgan 2007-08-31 23:28:56 PDT
*** Bug 394543 has been marked as a duplicate of this bug. ***
Comment 62 Mats Palmgren (vacation) 2007-12-01 20:00:23 PST
*** Bug 406389 has been marked as a duplicate of this bug. ***
Comment 63 Matthias Versen [:Matti] 2008-12-18 03:49:03 PST
*** Bug 469993 has been marked as a duplicate of this bug. ***
Comment 64 Matthias Versen [:Matti] 2008-12-27 07:00:45 PST
*** Bug 471264 has been marked as a duplicate of this bug. ***
Comment 65 Ria Klaassen (not reading all bugmail) 2009-06-23 15:51:42 PDT
*** Bug 500065 has been marked as a duplicate of this bug. ***
Comment 66 Rohan Barnett 2009-07-09 08:39:39 PDT
A user requirement:

Problem:
Sound is desired for certain websites, like gmail (gtalk alerts), youtube, etc. but not for the majority of sites. When a site starts playing undesired sounds, the knee-jerk of the user is to turn off their speakers, thus disabling sound for the entire system.

Possible solution:
Have a whitelist of sites that sound is desired from. If a non-approved site tries to play sounds, prompt the user if they want to add the site to the approved list.
Comment 67 John David Galt 2009-07-11 11:23:32 PDT
Dup of bug 94035?  (Or at least, solving that one would solve this one too.)
Comment 68 Garth Wallace 2009-07-11 12:23:19 PDT
No, not really. That's about blocking by media type. This is about disabling sound as a whole or video as a whole, regardless of media type. Some media types, such as Flash, are multi-modal and contain both video and audio. It's perfectly reasonable to want to allow Flash but disable all sound (for example, if you're already listening to music).
Comment 69 rfn 2009-07-11 13:39:26 PDT
I think that sounds should be authorise by tab: user should be able to stop sound for a tab and listen at an another. Only the select tab have to be enabled, but the user might enable others tabs, if he wishes so.
Comment 70 Rohan Barnett 2009-07-11 17:46:37 PDT
The ability to EASILY switch off sound for a tab would solve the requirement mentioned in comment #66. In this case instead of switching off sound for the system, the user could switch off sound for the annoying tab.

In response to some comments: it IS sometimes required to listen to sounds on a tab not being viewed, i.e. gtalk alerts in gmail.
Comment 71 Matthias Versen [:Matti] 2009-12-26 11:08:08 PST
*** Bug 536787 has been marked as a duplicate of this bug. ***
Comment 72 Jo Hermans 2010-01-24 15:43:24 PST
*** Bug 541877 has been marked as a duplicate of this bug. ***
Comment 73 Ria Klaassen (not reading all bugmail) 2010-01-24 15:58:58 PST
The ability to change sound level quickly is at least as important.
Comment 74 Brian Carpenter [:geeknik] 2010-01-24 16:35:17 PST
There was talk, back in 2007, of adding a mute button so that you could mute tabs individually or mute everything, which I found @ https://wiki.mozilla.org/Firefox/Feature_Brainstorming:User_Interface#Mute_Button. I and a million other Firefox users would go for something like that as part of the browser's core functionality. :)
Comment 75 Jo Hermans 2010-01-31 13:01:41 PST
*** Bug 248235 has been marked as a duplicate of this bug. ***
Comment 76 Jo Hermans 2010-01-31 13:01:49 PST
*** Bug 543357 has been marked as a duplicate of this bug. ***
Comment 77 Jo Hermans 2011-06-20 13:42:41 PDT
*** Bug 665598 has been marked as a duplicate of this bug. ***
Comment 78 Kevin Brosnan [:kbrosnan] 2011-07-31 23:48:21 PDT
*** Bug 675573 has been marked as a duplicate of this bug. ***
Comment 79 brainstuff John Scheb 2012-02-16 17:35:48 PST
Sound when open a page is a problem. I think it must have a fonction to set if the user want to have sound when he opens a page. 

Sound on some tabs when Firefox is restarted after a crash is a very big problem if firefox reopens a lot of tabs ... but firefox has a option to not reload automatically the pages in the Tabs: after a restart, the user must click on the tab and the page reopens ...  this option is a good way to avoid that firefox reloads several pages with sound in the same time.
Comment 80 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2013-01-15 12:10:22 PST
There are newer bugs specifically for HTML audio/video as well as for NPAPI plugins. Closing this one out since it's not tracking anything useful now.
Comment 81 Felix Miata 2013-01-15 12:57:58 PST
Thanks much for listing those newer bugs so that all 83 CCs and reporter can individually hunt them down to follow and/or comment. Personally I don't see how "newer" adds any value, while newer does provide negative value in masking the age of the problem here reported 13 years ago. No one should have to disable all system sound in order to counteract this glaring _user_agent_ shortcoming. DejaVu DRL.
Comment 82 rvj 2013-01-15 22:56:27 PST
Are there guidelines to  prevent the replacement of "older" bugs by "newer" 
Mostly what happens is that the original context is "lost" and the bug is subsequently then resubmitted... wasting every one's time

This feature is important for xul app developers - not the Firefox interface
Comment 83 sausagefactory0 2015-10-20 22:56:36 PDT
Is there any progress in making possible to disable all sound? I see the last comment is from year 2014, and year 2015 is near its end already.

This feature is absolutely must have given that really many websites out there in a wild forcibly play various sounds and give no option to disable them (and even if they do, you'll hear them before you go and disable them, because they tend to be enabled by default)
Comment 84 sausagefactory0 2015-10-20 22:58:15 PDT
Also: Chrome and Safari already allow this, and even muting single tabs
Comment 85 chris hofmann 2015-10-20 23:32:33 PDT
maybe something for next year's plan?
Comment 86 Johnny Stenback (:jst, jst@mozilla.com) 2015-10-23 00:54:21 PDT
baku, kentuckyfriedtakahe, how closer are we to doing this now that we have per tab audio muting? Anything we'd need to do for video playback here?

Note You need to log in before you can comment on or make changes to this bug.